// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// CRx17 jcv 26-Jun-09 Original new duproc facilities 

#include <iostream>
#include <sstream>
#include <fstream>

#include <vector>

#include "DUProcessor.h"
#include "TMFrameStream.h"
#include "DUStream.h"
#include "DUInspector.h"

#include "frmproc.h"

#include "errstr.h"
#include "ExceptionErrorHandler.h"

///////////////////////
//
//
//
//
void frmproc () {

    // Declares the proper DU processor 
    TMFrameStream * myTMFrameStream = new TMFrameStream;

    // (No internal processor is needed here)

    // Declares the proper DU reader...
    DUinspector myInspector;

    // ... its external processor (TMFrame)
    myInspector.registerProcessor(myTMFrameStream);

    // ... call it, which will use the above.
    myInspector.streamDU();

}
